<template>
	<view class="content">
		<view class="content-money">
			<view class="flex " style="width: 750rpx;justify-content: space-around;margin-left: 0;">
				<view class="buttom">
					<view class="icon">{{ userInfo.award_range | getMoneyStyle }}</view>
					<text class="text">可提现现金</text>
				</view>
			</view>
		</view>
		<view class="row-box">
			<view class="title">转账额度</view>
			<view class="row">
				<text class="tit">￥</text>
				<input class="input" type="number" v-model="withdrawal" placeholder="请输入转账额度" placeholder-class="placeholder" />
				<view class="buttom" @click="withdrawal = userInfo.award_range">全部转账</view>
			</view>
		</view>
		<view class="row-box">
			<view class="title">转入用户UID</view>
			<view class="row">
				<input class="input" type="number" v-model="userid" placeholder="请输入转入用户UID" placeholder-class="placeholder" />
			</view>
		</view>
		<button class="add-btn up" @click="confirm">提交申请</button>
	</view>
</template>

<script>
import { getMoneyStyle } from '@/utils/rocessor.js';
import { trade } from '@/api/wallet.js';
import { getUserInfo } from '@/api/user.js';
import { mapState, mapMutations } from 'vuex';
export default {
	filters: {
		getMoneyStyle
	},
	computed: {
		...mapState('user', ['userInfo', 'orderInfo', 'hasLogin'])
	},
	data() {
		return {
			money: '0.00', //可提现金额
			withdrawal: '', //提现金额
			userid:''
		};
	},
	onLoad(options) {
	},
	methods: {
		...mapMutations('user', ['setUserInfo', 'setOrderInfo']),
		// 跳转
		navTo(url) {
			uni.navigateTo({
				url: url
			});
		},
		// 提交
		confirm() {
			if(!this.userid){
				uni.showToast({
					title: '请输入UID',
					icon:'error'
				});
				return
			}
			if(!this.withdrawal){
				uni.showToast({
					title: '请输入转账额度',
					icon:'error'
				});
				return
			}
			let data = {
				num: this.withdrawal, //金额
				uid: this.userid //0佣金1余额
			};
			trade(data)
				.then(e => {
					getUserInfo({})
						.then(({ data }) => {
							this.setUserInfo(data);
						})
						.catch(e => {
							console.log(e);
						});
					uni.showToast({
						title: '提交成功',
						duration: 2000,
						position: 'top'
					});
				})
				.catch(e => {
					console.log();
				});
		}
	}
};
</script>

<style lang="scss">
page {
	height: 100%;
}
.content-money {
	padding: 30rpx 0;
	background: #ffffff;
}
.flex {
	background-color: #ffffff;
	text-align: center;
	margin: 0 30rpx;
	border-radius: $border-radius-sm;
	.buttom {
		font-size: $font-lg;
		width: 50%;
	}
	.interval {
		width: 2px;
		height: 60rpx;
		background-color: #eeeeee;
	}
	.icon {
		background-size: 100%;
		font-size: 42rpx;
		color: $font-color-dark;
		font-weight: bold;
		background-repeat: no-repeat;
		background-position: center;
	}
	.text {
		color: $font-color-light;
	}
}

.row-box {
	margin-top: 30rpx;
	padding: 20rpx 30rpx;
	background: #fff;
	.title {
		font-size: $font-base + 2rpx;
		color: $font-color-dark;
	}
	.row {
		display: flex;
		align-items: center;
		position: relative;
		height: 80rpx;
		.tit {
			flex-shrink: 0;
			width: 40rpx;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.input {
			flex: 1;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.iconlocation {
			font-size: 36rpx;
			color: $font-color-light;
		}

		.buttom {
			color: $font-color-spec;
			font-size: $font-base;
		}
	}
}
.add-btn {
	&.modified {
		color: #ffffff;
	}
	&.up {
		background: linear-gradient(90deg, #bb9159, #e6c79d);
		color: #fff;
	}
	display: flex;
	align-items: center;
	justify-content: center;
	width: 690rpx;
	height: 80rpx;
	margin: 0 auto;
	margin-top: 30rpx;
	font-size: $font-lg;
	border-radius: 10rpx;
	// box-shadow: 1px 2px 5px rgba(219, 63, 96, 0.4);
}

.list {
	padding-left: 30rpx;
	margin-top: 30rpx;
	background-color: #ffffff;
	.box {
		display: flex;
		align-items: center;
		width: 100%;
		height: 120rpx;
		border-bottom: 1px solid $border-color-light;
		.icon {
			font-size: 48rpx;
			padding-right: 20rpx;
			.icon-img {
				height: 50rpx;
				width: 50rpx;
			}
		}
		.iconweixin1 {
			color: #18bf16;
		}
		.iconzhifubao {
			color: #08aaec;
		}
		.title-box {
			flex-grow: 1;
			text-align: left;
			.title {
				font-size: $font-base + 2rpx;
				color: $font-color-base;
			}
			.node {
				font-size: $font-sm;
				color: $font-color-light;
			}
		}
	}
}
/deep/ .uni-radio-input {
	width: 45rpx;
	height: 45rpx;
}
.row {
	display: flex;
	align-items: center;
	position: relative;
	padding: 0 30upx;
	height: 110upx;
	background: #fff;

	.tit {
		flex-shrink: 0;
		width: 250upx;
		font-size: 30upx;
		color: $font-color-dark;
	}
	.input {
		flex: 1;
		font-size: 30upx;
		color: $font-color-dark;
	}
	.iconlocation {
		font-size: 36upx;
		color: $font-color-light;
	}
}
.tip {
	padding: 20rpx;
	color: #fd3b39;
}
</style>
